import * as Core from '@angular/core';
import { NgControl } from '@angular/forms';
import * as Forms from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
export declare class NumericInputComponent implements Forms.ControlValueAccessor, Core.OnChanges, Core.AfterViewInit, Core.OnDestroy {
    ngControl: NgControl;
    label: string;
    labelDescription: string;
    hint: string;
    unitsOfMeasure: string;
    showFractions: boolean;
    minValue: number;
    maxValue: number;
    disabled: boolean;
    externalValidationErrors: Forms.ValidationErrors | null;
    integerInputWidth: number;
    fractionInputWidth: number;
    integerInput: Core.ElementRef;
    fractionInput: Core.ElementRef;
    inputsInitialized$: BehaviorSubject<boolean>;
    integerValue: number;
    fractionValue: string;
    minFractionValue: number;
    constructor(ngControl: NgControl);
    private _value;
    get value(): any;
    set value(value: any);
    get inputId(): string | number;
    get hasUnitsOfMeasure(): boolean;
    get minIntegerValue(): number;
    get maxIntegerValue(): number;
    get showError(): boolean;
    get errors(): Forms.ValidationErrors | null;
    get hasFractions(): boolean;
    get errorMessageWidth(): number;
    onChange: any;
    onTouched: any;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    incrementIntegerInput(event: Event): void;
    decrementIntegerInput(event: Event): void;
    incrementFractionInput(event: Event): void;
    decrementFractionInput(event: Event): void;
    onIntegerInput(value: string): void;
    onFractionInput(strValue: string): void;
    updateFractionValue(value: number): void;
    updateIntegerValueStr(value: number): void;
    updateFractionValueStr(value: string): void;
    writeValue(value: number): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(disabled: any): void;
}
